com.fasterxml.jackson.databind.util

## Class ArrayBuilders.FloatBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder<float[]>
  - - com.fasterxml.jackson.databind.util.ArrayBuilders.FloatBuilder

Enclosing class:
  ArrayBuilders

    public static final class ArrayBuilders.FloatBuilder
    extends PrimitiveArrayBuilder<float[]>

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder

`_bufferedEntryCount, _bufferHead, _bufferTail, _freeBuffer`

### Constructor Summary

Constructors
Constructor and Description
`FloatBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`float[]` `_constructArray(int len)`

### Methods inherited from class com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder

`_reset, appendCompletedChunk, bufferedSize, completeAndClearBuffer, resetAndStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatBuilder

    public FloatBuilder()

### Method Detail

#### _constructArray

    public final float[] _constructArray(int len)

Specified by:
  `_constructArray` in class `PrimitiveArrayBuilder<float[]>`